import React, { useRef, useCallback } from 'react';
import { connect, history } from 'umi';
import { PageContainer } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
import { PlusOutlined } from '@ant-design/icons';
import { Button,  Space } from 'antd';
import  { queryTable } from '@/utils/request';

const VisitList = () => {


  const ref = useRef();
  const handleMedicalClick = useCallback((id) => {
    history.push(id ? `/medical/visit/edit?id=${id}` : '/medical/visit/edit');
  }, []);

  const actions = [   
    <Button key="button" icon={<PlusOutlined />} type="primary" onClick={() => handleMedicalClick()}>
      新建
    </Button>,
  ];
  const columns = [
    {
      title: '就诊编号',
      dataIndex: 'serialNo',
      hideInSearch: true,

      align: 'center',
    },
    {
      title: '学校名称',
      dataIndex: 'schoolName',
      align: 'center',
    },

    {
      title: '学号',
      dataIndex: 'd',
      align: 'center',
     
    },
    {
      title: '姓名',
      dataIndex: 'status',
      align: 'center',
      hideInSearch: true,
      // hideInTable: true,
    },
    {
      title: '性别',
      dataIndex: 'status',
      align: 'center',
      hideInSearch: true,
    },
    {
      title: '专业',
      dataIndex: 'status',
      align: 'center',
      // hideInTable: true,
    },
    {
      title: '医生',
      dataIndex: 'createDate',
      align: 'center',
      hideInSearch: true,
      valueType: 'date',
    },
    {
      title: '就诊科室',
      dataIndex: 'createDate',
      align: 'center',
      hideInSearch: true,

    },
    {
      title: '就诊时间',
      dataIndex: 'recordDate',
      align: 'center',
      hideInSearch: true,
      valueType: 'date',
    },
    
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      hideInSearch: true,
      render: (text, record) => (
        <Space size="middle">
          <a onClick={() => handleMedicalClick(record.serialNo)}>查看报告</a>
         
        </Space>
      ),
    },
  ];

  return (
    <PageContainer>
      <ProTable
        columns={columns}
        request={queryTable('/medicalLog')}
        formRef={ref}
        rowKey="serialNo"
        headerTitle="就诊列表"
        search={{
          labelWidth: '4em',
        }}
        toolBarRender={() => actions}
      />
    </PageContainer>
  );
};

export default connect((s) => ({
  typeList: s.post.typeList,
}))(VisitList);
