import React, { useEffect } from 'react';
import { connect } from 'umi';

import ProForm, { ProFormText, ProFormTextArea } from '@ant-design/pro-form';
import UploadImage from '@/components/UploadImage';
import { Form } from 'antd';

const SchoolFrom = (props) => {
  const [form] = Form.useForm();
  //   const [bannerData, setBannerData] = useState({});

  useEffect(() => {
    form.setFieldsValue(props.data);
  }, [props, form]);

  return (
    <ProForm form={form} onFinish={props.handleSubmit}>
      <Form.Item
        name="logo"
        label="logo"
        placeholder="请选择logo"
        extra="支持jpg/png文件，且不超过500kb"
        rules={[{ required: true, message: '请上传logo' }]}
      >
        <UploadImage />
      </Form.Item>

      <ProFormText
        label="名称"
        placeholder="输入名称"
        name="name"
        rules={[{ required: true, message: '请填写名称' }]}
      />

      <ProFormTextArea
        label="简介"
        placeholder="输入简介"
        name="desc"
        rules={[{ required: true, message: '请填写简介' }]}
      />
    </ProForm>
  );
};

export default connect(() => ({}))(SchoolFrom);
